Microsoft Dynamics 365 Finance and Operations

Integrate your application with the Microsoft Dynamics 365 Finance and Operations API

🚀 Quickstart

Connect to Microsoft Dynamics 365 Finance and Operations with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Microsoft Dynamics 365 Finance and Operations.

Authorize Microsoft Dynamics 365 Finance and Operations

Go to Connections -> Add Test Connection -> Authorize, then enter your Tenant ID and Environment URL, and log in to Microsoft Dynamics 365 Finance and Operations. Later, you'll let your users do the same directly from your app.

Call the Microsoft Dynamics 365 Finance and Operations API

Let's make your first request to the Microsoft Dynamics 365 Finance and Operations OData API (list the data entities available in the environment). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/data" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Microsoft Dynamics 365 Finance and Operations Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Service endpoints overview

🧩 Pre-built syncs & actions for Microsoft Dynamics 365 Finance and Operations

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
create-customerCreate a customer.Action🔗 Github
create-free-text-invoiceCreate a free text invoice headerAction🔗 Github
create-ledger-journalCreate a general ledger journal headerAction🔗 Github
create-purchase-orderCreate a purchase order header.Action🔗 Github
create-sales-orderCreate a sales order headerAction🔗 Github
create-sales-quotationCreate a sales quotation headerAction🔗 Github
create-vendorCreate a vendorAction🔗 Github
delete-free-text-invoiceDelete a draft (unposted) free text invoice header.Action🔗 Github
delete-ledger-journalDelete a draft (unposted) general ledger journal header.Action🔗 Github
delete-sales-quotationDelete a draft sales quotation header.Action🔗 Github
get-customer-payment-journalRetrieve a customer payment journal header.Action🔗 Github
get-customerRetrieve a customer.Action🔗 Github
get-free-text-invoiceRetrieve a free text invoice headerAction🔗 Github
get-ledger-journalRetrieve a general ledger journal header.Action🔗 Github
get-purchase-orderRetrieve a purchase order header.Action🔗 Github
get-released-productRetrieve a released productAction🔗 Github
get-sales-orderRetrieve a sales order header.Action🔗 Github
get-sales-quotationRetrieve a sales quotation header.Action🔗 Github
get-vendor-payment-journalRetrieve a vendor payment journal header.Action🔗 Github
get-vendorRetrieve a vendor.Action🔗 Github
list-chart-of-accountsList charts of accounts.Action🔗 Github
list-currenciesList currencies configured for the tenant.Action🔗 Github
list-customer-groupsList customer groups (used as CustomerGroupId on customers).Action🔗 Github
list-customer-payment-journal-linesList customer payment journal lines, optionally scoped to a parent journal.Action🔗 Github
list-customer-payment-journalsList customer (AR) payment journal headers.Action🔗 Github
list-customer-payment-methodsList customer payment methods.Action🔗 Github
list-customersList customers.Action🔗 Github
list-free-text-invoice-linesList free text invoice lines, optionally scoped to a parent invoice.Action🔗 Github
list-free-text-invoicesList free text (miscellaneous) customer invoice headers.Action🔗 Github
list-ledger-journal-linesList general ledger journal lines, optionally scoped to a parent journal.Action🔗 Github
list-ledger-journalsList general ledger journal headersAction🔗 Github
list-legal-entitiesList legal entities (companies/data areas).Action🔗 Github
list-main-accountsList general ledger main accounts.Action🔗 Github
list-payment-termsList payment terms.Action🔗 Github
list-purchase-order-linesList purchase order lines, optionally scoped to a parent purchase order.Action🔗 Github
list-purchase-ordersList purchase order headers.Action🔗 Github
list-released-productsList released products (items)Action🔗 Github
list-sales-order-linesList sales order lines, optionally scoped to a parent sales order.Action🔗 Github
list-sales-ordersList sales order headers.Action🔗 Github
list-sales-quotation-linesList sales quotation lines, optionally scoped to a parent quotation.Action🔗 Github
list-sales-quotationsList sales quotation headers.Action🔗 Github
list-tax-groupsList sales tax groups.Action🔗 Github
list-units-of-measureList units of measure.Action🔗 Github
list-vendor-groupsList vendor groups (used as VendorGroupId on vendors).Action🔗 Github
list-vendor-payment-journal-linesList vendor payment journal lines, optionally scoped to a parent journal.Action🔗 Github
list-vendor-payment-journalsList vendor (AP) payment journal headers.Action🔗 Github
list-vendorsList vendors.Action🔗 Github
list-warehousesList warehouses.Action🔗 Github
list-workersList workers (employees).Action🔗 Github
update-customerUpdate a customer.Action🔗 Github
update-purchase-orderUpdate a purchase order headerAction🔗 Github
update-sales-orderUpdate a sales order header.Action🔗 Github
update-vendorUpdate a vendor.Action🔗 Github
customer-payment-journalsSync customer (AR) payment journal headersSync🔗 Github
customersSync customers.Sync🔗 Github
free-text-invoicesSync free text (miscellaneous) customer invoice headers.Sync🔗 Github
ledger-journalsSync general ledger journal headers.Sync🔗 Github
legal-entitiesSync legal entities (companies/data areas).Sync🔗 Github
main-accountsSync general ledger main accountsSync🔗 Github
purchase-order-linesSync purchase order lines.Sync🔗 Github
purchase-ordersSync purchase order headersSync🔗 Github
released-productsSync released products (items).Sync🔗 Github
sales-order-linesSync sales order lines.Sync🔗 Github
sales-ordersSync sales order headers.Sync🔗 Github
sales-quotationsSync sales quotation headersSync🔗 Github
vendor-payment-journalsSync vendor (AP) payment journal headers.Sync🔗 Github
vendorsSync vendors.Sync🔗 Github
warehousesSync warehouses.Sync🔗 Github
workersSync workers (employees)Sync🔗 Github

On this page